package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasSysPermission;
import com.koobietech.eas.mbg.model.EasSysPermissionExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasSysPermissionMapper {
    long countByExample(EasSysPermissionExample example);

    int deleteByExample(EasSysPermissionExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasSysPermission record);

    int insertSelective(EasSysPermission record);

    List<EasSysPermission> selectByExample(EasSysPermissionExample example);

    EasSysPermission selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasSysPermission record, @Param("example") EasSysPermissionExample example);

    int updateByExample(@Param("record") EasSysPermission record, @Param("example") EasSysPermissionExample example);

    int updateByPrimaryKeySelective(EasSysPermission record);

    int updateByPrimaryKey(EasSysPermission record);
}